Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Interface Main.OptionHandler

All Known Implementing Classes:
  Main.AbstractOptionHandler

Enclosing interface:
  Main

public static interface Main.OptionHandler

Interface for handling one command line option

Method Summary
`java.lang.String` | `getOptionDescription()` Returns the description for this option
`int` | `getOptionValuesLength()` Returns the number of values which the option handler requires.
`void` | `handleOption(java.lang.String[] optionValues, SVGConverter c)` The `OptionHandler` should configure the `SVGConverter` according to the value of the option.

Method Detail

### handleOption

    public void handleOption(java.lang.String[] optionValues,
                             SVGConverter c)

  The `OptionHandler` should configure the `SVGConverter` according to the value of the option. Should throw an IllegalArgumentException if optionValue is not an acceptable option.

### getOptionValuesLength

    public int getOptionValuesLength()

  Returns the number of values which the option handler requires. This defines the length of the optionValues array passed to the handler in the handleOption method

### getOptionDescription

    public java.lang.String getOptionDescription()

  Returns the description for this option

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.